Subject: bug#30022: gnus nnimap-sequence vs yahoo hang

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 Apr 2018 13:41:08 +0200

Kevin Ryde <[email-masked]> writes:

> Yes, I see similar
>
>     18:16:44 [imap.mail.yahoo.com] (inhibited)
>     18:16:44 [imap.mail.yahoo.com] 2 CAPABILITY^M
>     18:16:50 [imap.mail.yahoo.com] 3 SELECT "INBOX"^M
>
> But I think this does not include output of open-protocol-stream
> :capability-command "1 CAPABILITY" (in nnimap-open-connection-1).

Oh, I see.  Well spotted.  I think the simplest solution here is to
start off the nnimap sequence at a higher number so that these things
don't get in each others way.

Does the following patch (pushed to Emacs master now) fix the problem
for you?

diff --git a/lisp/gnus/nnimap.el b/lisp/gnus/nnimap.el
index 01d7948afb..65d40eba69 100644
--- a/lisp/gnus/nnimap.el
+++ b/lisp/gnus/nnimap.el
@@ -1865,7 +1865,7 @@ nnimap-find-connection
 	(setq nnimap-connection-alist (delq entry nnimap-connection-alist))
 	nil))))
 
-(defvar nnimap-sequence 0)
+(defvar nnimap-sequence 5)
 
 (defun nnimap-send-command (&rest args)
   (setf (nnimap-last-command-time nnimap-object) (current-time))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no